Market Data
Get live crypto reference prices
POST
appIdheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
application/json- body
targets*array<|||>Items
1 <= items <= 100200
application/json- response
data*array<>softRefreshMs*numberhardMaxAgeMs*numbercurl -X POST 'https://api.t.sufwankhalid.com/crypto/reference-prices' \ -H 'Content-Type: application/json' \ -d '{ "targets": [ { "type": "venueMarket", "venueMarketId": "string" } ]}'Example Response
{ "data": [ { "target": { "type": "venueMarket", "venueMarketId": "string" }, "venue": "kalshi", "venueEventId": "string", "venueMarketId": "string", "externalEventId": "string", "externalMarketId": "string", "asset": "string", "quoteAsset": "USD", "raw": "string", "decimals": 0, "normalized": 0, "providerTimestamp": "string", "fetchedAt": "string", "ageMs": 0, "refreshing": true, "stale": true, "source": { "provider": "string", "providerMarketId": "string", "confidence": "verified" }, "error": { "code": "not_found", "message": "string" } } ], "softRefreshMs": 0, "hardMaxAgeMs": 0}